<?php
/**
 * Variable Product - Variation Switcher.
 *
 * This template can be overridden by copying it to yourtheme/variation-switcher-in-cart-for-woocommerce/switcher.php.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$show_in_popup = 'popup' === get_option( VRN_PREFIX . 'display_switcher_as' );
?>
<div class="vrn-variation-switcher">
	<p class="vrn-title"><?php esc_html_e( get_option( VRN_PREFIX . 'change_variation_label' ) ); ?>
		<?php if ( $show_in_popup ) { ?>
			<a class="vrn_variation_toggle" rel="modal:open" href="#cart_<?php echo esc_attr( $cart_item_key ); ?>"><?php echo esc_html( get_option( VRN_PREFIX . 'change_variation_link_label' ) ); ?></a>
		<?php } else { ?>
			<a class="vrn_variation_toggle" href="#"><?php echo esc_html( get_option( VRN_PREFIX . 'change_variation_link_label' ) ); ?></a>
		<?php } ?>
	</p>

	<?php
	wc_get_template( $show_in_popup ? 'variable-modal.php' : 'variable.php', array(
		'product'              => $product,
		'available_variations' => $available_variations,
		'cart_item_key'        => $cart_item_key,
		'attributes'           => $product->get_variation_attributes(),
		'selected_attributes'  => $product->get_default_attributes(),
			), VRN_BASENAME_DIR, VRN_TEMPLATE_PATH );
	?>
</div>

