<?php

/**
 * Plugin Name: Variation Switcher in Cart for WooCommerce
 * Description: Variation Switcher in Cart for WooCommerce allows your users to change their variations on their cart page.
 * Version: 1.9.0
 * Author: 20script
 * Author URI: https://www.20script.ir
 * Text Domain: variation-switcher-in-cart-for-woocommerce
 * Domain Path: /languages
 * Woo: 7512846:1054888c475f606724593c9ed50c34e5
 * Tested up to: 6.3.2
 * WC tested up to: 8.2.0
 * WC requires at least: 3.8
 * Copyright: © 2023 Flintop
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */
defined( 'ABSPATH' ) || exit;

if ( ! defined( 'VRN_FILE' ) ) {
	define( 'VRN_FILE', __FILE__ );
}

// Include the main Variation Switcher in Cart class.
if ( ! class_exists( 'WC_Variation_Switcher_In_Cart', false ) ) {
	include_once dirname( VRN_FILE ) . '/includes/class-wc-variation-switcher-in-cart.php';
}

/**
 * Add HPOS support.
 */
add_action( 'before_woocommerce_init', function () {
	if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
		\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
	}
} );

/**
 * Main instance of WC_Variation_Switcher_In_Cart.
 * Returns the main instance of WC_Variation_Switcher_In_Cart.
 *
 * @return WC_Variation_Switcher_In_Cart
 */
function _vrn() {
	return WC_Variation_Switcher_In_Cart::instance();
}

/**
 * Run Variation Switcher
 */
_vrn();
